Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.document
Enum ContrastManager.State

    java.lang.Object
      java.lang.Enum<ContrastManager.State>
          info.bioinfweb.treegraph.document.ContrastManager.State

All Implemented Interfaces:
  Serializable, Comparable<ContrastManager.State>

Enclosing class:
  ContrastManager

    static enum ContrastManager.State

extends Enum<ContrastManager.State>

Enum Constant Summary
`ABORTED`
`CHANGE`
`NO_CHANGE`
`UNDEFINED`

Method Summary
`static ContrastManager.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContrastManager.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNDEFINED

    public static final ContrastManager.State UNDEFINED

### CHANGE

    public static final ContrastManager.State CHANGE

### NO_CHANGE

    public static final ContrastManager.State NO_CHANGE

### ABORTED

    public static final ContrastManager.State ABORTED

Method Detail

### values

    public static ContrastManager.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContrastManager.State c : ContrastManager.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContrastManager.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD